gstreamermm 1.4.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
Gst::QueryScheduling Class Reference

A new scheduling query object. More...

Inheritance diagram for Gst::QueryScheduling:
[legend]
Collaboration diagram for Gst::QueryScheduling:
[legend]

## Public Member Functions
void | parse (Gst::SchedulingFlags& flags, gint& minsize, gint& maxsize, gint& align) const
| Set the scheduling properties. More...
void | set (Gst::SchedulingFlags flags, gint minsize, gint maxsize, gint align)
| Set the scheduling properties. More...
void | add_scheduling_mode (Gst::PadMode mode)
| Add as aone of the supported scheduling modes to . More...
guint | get_n_scheduling_modes () const
| Retrieve the number of values currently stored in the scheduling mode array of the query's structure. More...
Gst::PadMode | parse_nth_scheduling_mode (guint index) const
| Parse an available query and get the scheduling mode at of the scheduling modes array. More...
bool | has_scheduling_mode (Gst::PadMode mode) const
| Check if has scheduling mode set. More...
bool | has_scheduling_mode_with_flags (Gst::PadMode mode, Gst::SchedulingFlags flags) const
| Check if has scheduling mode set and is set in query scheduling flags. More...
Public Member Functions inherited from Gst::Query
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstQuery* | gobj ()
| Provides access to the underlying C instance. More...
const GstQuery* | gobj () const
| Provides access to the underlying C instance. More...
GstQuery* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::RefPtr< Gst::Query > | create_writable ()
| Makes a writable query from the given query. More...
Gst::Structure | get_structure () const
| Get the structure of a query. More...
QueryType | get_query_type () const
| Get the Gst::QueryType of the query. More...
Glib::RefPtr< Gst::Query > | copy ()
| Copies the given query using the copy function of the parent Gst::Structure. More...
Public Member Functions inherited from Gst::MiniObject
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstMiniObject* | gobj ()
| Provides access to the underlying C instance. More...
const GstMiniObject* | gobj () const
| Provides access to the underlying C instance. More...
GstMiniObject* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| ~MiniObject ()
guint | get_flags () const
void | set_flags (const guint& value)
gint | get_refcount () const
gint | get_lockstate () const
bool | lock (LockFlags flags)
| Lock the mini-object with the specified access mode in flags. More...
void | unlock (LockFlags flags)
| Unlock the mini-object with the specified access mode in flags. More...
bool | is_writable () const
| If mini_object has the LOCKABLE flag set, check if the current EXCLUSIVE lock on object is the only one, this means that changes to the object will not be visible to any other object. More...
Glib::RefPtr< MiniObject > | create_writable ()
| Checks if a mini-object is writable. More...
void | set_qdata (GQuark quark, QuarkData* data)
| This sets an opaque, named pointer on a miniobject. More...
QuarkData* | get_qdata (GQuark quark) const
| This function gets back user data pointers stored via set_qdata(). More...
QuarkData* | steal_qdata (GQuark quark)
| This function gets back user data pointers stored via set_qdata() and removes the data from object without invoking its destroy() function (if any was set). More...
void | add_finalize_notifier (const SlotFinalizer& slot)
| Adds notifier when mini object is finalized. More...
void | remove_finalize_notifier ()
| Remove finalize notifier. More...

## Static Public Member Functions
static Glib::RefPtr < Gst::QueryScheduling > | create ()
| Constructs a new query object for querying the scheduling properties. More...
Static Public Member Functions inherited from Gst::Query
static Glib::RefPtr< Gst::Query > | create_buffering (Gst::Format format)
| Constructs a new query object for querying the buffering status of a stream. More...
static Glib::RefPtr< Gst::Query > | create_allocation (Glib::RefPtr< Gst::Caps > caps, bool need_pool)
| Constructs a new query object for querying the allocation properties. More...
static Glib::RefPtr< Gst::Query > | create_uri ()
| Constructs a new query URI query object. More...
static Glib::RefPtr< Gst::Query > | create_scheduling ()
| Constructs a new query object for querying the scheduling properties. More...
static Glib::RefPtr< Gst::Query > | create_drain ()
| Constructs a new query object for querying the drain state. More...
static Glib::RefPtr< Gst::Query > | create_custom (Gst::QueryType type, const Gst::Structure& structure)
| Constructs a new custom query object. More...
static Glib::RefPtr< Gst::Query > | create_convert (Gst::Format format, gint64 value, Gst::Format dest_format)
| Constructs a new convert query object. More...
static Glib::RefPtr< Gst::Query > | create_position (Gst::Format format)
| Constructs a new query stream position query object. More...
static Glib::RefPtr< Gst::Query > | create_duration (Gst::Format format)
| Constructs a new stream duration query object to query in the given format. More...
static Glib::RefPtr< Gst::Query > | create_latency ()
| Constructs a new latency query object. More...
static Glib::RefPtr< Gst::Query > | create_seeking (Gst::Format format)
| Constructs a new query object for querying seeking properties of the stream. More...
static Glib::RefPtr< Gst::Query > | create_formats ()
| Constructs a new query object for querying formats of the stream. More...
static Glib::RefPtr< Gst::Query > | create_segment (Gst::Format format)
| Constructs a new segment query object. More...
static Glib::RefPtr< Gst::Query > | create_caps (Glib::RefPtr< Gst::Caps > filter)
| Constructs a new query object for querying the caps. More...
static Glib::RefPtr< Gst::Query > | create_accept_caps (Glib::RefPtr< Gst::Caps > filter)
| Constructs a new query object for querying if caps are accepted. More...

## Additional Inherited Members
Public Types inherited from Gst::MiniObject
typedef sigc::slot< void > | SlotFinalizer
Protected Member Functions inherited from Gst::Query
| Query ()
void | operator delete (void*, std::size_t)
Protected Member Functions inherited from Gst::MiniObject
| MiniObject ()
void | operator delete (void*, std::size_t)
Static Protected Member Functions inherited from Gst::Query
template<class QueryType >
static Glib::RefPtr< QueryType > | wrap (GstQuery* query, bool take_copy=false)
Related Functions inherited from Gst::Query
Glib::RefPtr< Gst::Query > | wrap (GstQuery* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::MiniObject
Glib::RefPtr< Gst::MiniObject > | wrap (GstMiniObject* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

A new scheduling query object.

See create() for more details.

## Member Function Documentation

void Gst::QueryScheduling::add_scheduling_mode | ( | Gst::PadMode | mode | ) |

Add as aone of the supported scheduling modes to .

Parameters

  a | Gst::PadMode.

static Glib::RefPtr<Gst::QueryScheduling> Gst::QueryScheduling::create | ( |  | ) |
| static

Constructs a new query object for querying the scheduling properties.

Returns
  A new Gst::QueryScheduling.

guint Gst::QueryScheduling::get_n_scheduling_modes | ( |  | ) | const

Retrieve the number of values currently stored in the scheduling mode array of the query's structure.

Returns
  the scheduling mode array size as a .

bool Gst::QueryScheduling::has_scheduling_mode | ( | Gst::PadMode | mode | ) | const

Check if has scheduling mode set.

Parameters

  mode | the scheduling mode.

Returns
  true when is in the list of scheduling modes.

bool Gst::QueryScheduling::has_scheduling_mode_with_flags | ( | Gst::PadMode | mode,
|  | Gst::SchedulingFlags | flags
| ) |  | const

Check if has scheduling mode set and is set in query scheduling flags.

Parameters

  mode | the scheduling mode.
  flags | Gst::SchedulingFlags.

void Gst::QueryScheduling::parse | ( | Gst::SchedulingFlags& | flags,
|  | gint & | minsize,
|  | gint & | maxsize,
|  | gint & | align
| ) |  | const

Set the scheduling properties.

Parameters

  flags | Gst::SchedulingFlags.
  minsize | the suggested minimum size of pull requests.
  maxsize | the suggested maximum size of pull requests.
  align | the suggested alignment of pull requests.

Gst::PadMode Gst::QueryScheduling::parse_nth_scheduling_mode | ( | guint | index | ) | const

Parse an available query and get the scheduling mode at of the scheduling modes array.

Parameters

  index | position in the scheduling modes array to read

Returns
  a Gst::PadMode of the scheduling mode at .

void Gst::QueryScheduling::set | ( | Gst::SchedulingFlags | flags,
|  | gint | minsize,
|  | gint | maxsize,
|  | gint | align
| ) |  |

Set the scheduling properties.

Parameters

  flags | Gst::SchedulingFlags.
  minsize | the suggested minimum size of pull requests.
  maxsize | the suggested maximum size of pull requests.
  align | the suggested alignment of pull requests.

The documentation for this class was generated from the following file:

- gstreamermm/query.h